Update for current neomutt

Wed, 07 Jun 2017 14:04:14 -0700

author
Meredith Howard <mhoward@roomag.org>
date
Wed, 07 Jun 2017 14:04:14 -0700
changeset 596
8de875515620
parent 595
d034d9f4a36b
child 597
bcc7823e8991

Update for current neomutt

.muttrc file | annotate | diff | comparison | revisions
bin/setup-neomutt file | annotate | diff | comparison | revisions
--- a/.muttrc
+++ b/.muttrc
@@ -75,16 +75,18 @@ bind index,pager <Tab>     previous-new-
 bind index,pager <BackTab> next-new-then-unread
 bind index,pager R         group-reply
 
+bind index g    noop
 bind index gg   first-entry
 bind index G    last-entry
 bind index M    recall-message
 
+bind pager g      noop
+bind pager i      noop
 bind pager <up>   previous-line
 bind pager <down> next-line
 bind pager gg     top
 bind pager G      bottom
 bind pager ?      search-reverse
-bind pager i      noop
 
 macro index,pager    \Cb "<pipe-message> urlscan<enter>" 'urlscan'
 macro attach,compose \Cb "<pipe-entry> urlscan<enter>" 'urlscan'
--- a/bin/setup-neomutt
+++ b/bin/setup-neomutt
@@ -11,16 +11,17 @@ mkdir -p sandbox
 if [ ! -d sandbox/neomutt ]; then
   git clone --depth 1 https://github.com/neomutt/neomutt.git sandbox/neomutt
 else
+  make -C sandbox/neomutt clean >/dev/null 2>&1 || true
   git -C sandbox/neomutt pull
 fi
 
 cd sandbox/neomutt
 
-PLATFORM="$(uname -o)"
+PLATFORM="$(uname -s)"
 HCACHE="tokyocabinet"
 
 case "$PLATFORM" in
-  darwin*)
+  Darwin)
     # Use macports' headers
     OPENSSL_PREFIX=/opt/local
     ;;
@@ -29,13 +30,15 @@ case "$PLATFORM" in
     ;;
 esac
 
-./prepare -q \
+autoreconf -i --force
+
+./configure -q \
  --with-mailpath=/var/spool/mail \
  --with-ssl${OPENSSL_PREFIX:+=$OPENSSL_PREFIX} \
  --with-sasl \
  --with-${HCACHE} \
  --enable-gpgme \
- --enable-imap --enable-smtp \
+ --disable-doc --disable-po
 
 make -s -j3
 

mercurial